import es
import es_respawn

es_respawn_version = es.ServerVar("es_respawn_version", 1.0)
es_respawn_version.makepublic()

def load():
    if not es.exists("command", "es_respawn"):
        es.regcmd("es_respawn", "respawn/respawn_console", "Respawn player.")

def player_death(event_var):
    respawn(event_var["userid"])

def respawn_console():
    if es.getargc() == 2:
        _respawn_userid = es.getargv(1)
        if _respawn_userid.startswith("server_var(") and _respawn_userid.endswith(")"):
            _respawn_userid = _respawn_userid[11:]
            _respawn_userid = _respawn_userid[:len(_respawn_userid_expanded)-1]
            _respawn_userid = es.ServerVar("%s" % _respawn_userid)
        if es.exists("userid", _respawn_userid):
            es_respawn.respawn(int(_respawn_userid))
        else:
            _respawn_username = _respawn_userid
            _respawn_userid = es.getuserid(_respawn_username)
            if _respawn_userid == 0:
                _respawn_userid = _respawn_username
            if es.exists("userid", _respawn_userid):
                es_respawn.respawn(int(_respawn_userid))
            else:
                es.dbgmsg(0, "User: %s doesn't exist." % _respawn_userid)
    else:
        es.dbgmsg(0, "Syntax: es_respawn <userid>")

def respawn(_respawn_userid):
    if es.exists("userid", _respawn_userid):
        es_respawn.respawn(int(_respawn_userid))